package log

import (
	"log/slog"

	"gopkg.in/natefinch/lumberjack.v2"
)

func init() {
	logFile := &lumberjack.Logger{
		Filename:   "logs/app.log", // 日志文件路径
		MaxSize:    10,             // 单个日志文件的最大大小（MB）
		MaxBackups: 5,              // 保留的旧日志文件最大数量
		MaxAge:     30,             // 保留旧日志文件的最大天数
		Compress:   true,           // 是否压缩旧日志文件
	}

	logger := slog.New(slog.NewJSONHandler(logFile, nil))
	slog.SetDefault(logger)
}
