import tailwindcss from "@tailwindcss/vite"

// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: "2024-11-01",
  devtools: { enabled: true },
  devServer: {
    port: 8888,
  },
  ssr: false,
  nitro: {
    routeRules: {
      "/api/v1/**": {
        proxy: "http://localhost:8080/api/v1/**",
      },
    },
  },
  app: {
    head: {
      title: "Nuxt.js TypeScript TailwindCSS",
    },
    rootAttrs: {
      class: "main",
    },
  },
  components: [
    {
      path: "~/components",
      pathPrefix: false,
    },
  ],
  css: ["@/assets/css/main.css"],
  modules: ["@nuxt/icon", "@vueuse/nuxt"],
  vite: {
    plugins: [tailwindcss()]
  }
});
